#!/usr/bin/env Rscript  
#########################################################
# TASK: producing barplots
# basic barplots with count of mutations
# basic barplots with frequency of count of mutations
#########################################################
#=======================================================================
# working dir and loading libraries
getwd()
setwd("~/git/LSHTM_analysis/scripts/plotting")
getwd()

source("basic_barplots_PS.R")

source("basic_barplots_LIG.R")


#=======
# output
#=======
basic_bp_combined_labelled = "basic_barplots_combined_labelled.svg"
plot_basic_bp_combined_labelled  =  paste0(plotdir,"/", basic_bp_combined_labelled)

#=======================================================================
#=======
# combin DUET and Ligand affinity plots
#=======
svg(plot_basic_bp_combined_labelled , width = 12, height = 12 )

bp_duet_combined = cowplot::plot_grid(OutPlot_count, OutPlot_pos_count
                                      , OutPlot_lig_count, OutPlot_lig_pos_count
                                      #, labels = c("(a)", "(b)", "(c)", "(d)")
                                      , labels = "AUTO"
                                      , label_size = 25)

bp_duet_combined
dev.off()
